Windows 10 Compatibility

In order to fully support Windows 10, we made a number of changes to Synergy/DE. Synergy/DE 10.3.1b is the minimum supported version for Windows 10, and we recommend that anyone running Synergy applications on Windows 10 use Synergy/DE 10.3.1b or higher.

That said, some recent versions of Synergy/DE may run on Windows 10 with restrictions, and we’ll do our best to assist you in working around any issues you encounter if you are not able to upgrade to 10.3.1b at this time. If you encounter an issue that necessitates an update to Synergy/DE, we will require that you update to the current Synergy/DE release to receive a fix.

We are currently aware of the following issues you may encounter with Synergy/DE versions prior to 10.3.1b on Windows 10:

  • UI Toolkit toolbar buttons may not display well.
  • Button transparency may not work as expected.
  • Environment variables are not correctly refreshed when you uninstall/install Synergy/DE until you log out and log back in.

We are also aware of the following issue with Windows 10:

  • Upgrading to Windows 10 always re-enables the Microsoft firewall, which may cause problems for users connecting to servers (for example, the Synergy License Manager server, xfServer, and xfServerPlus) on Windows 10 machines if the firewall is not disabled or if a firewall rule is not added. Note that the Synergy License Manager Utility (LMU) on versions 10.1.1c and higher automatically adds a firewall rule on configuration of the Synergy License Manager server.

If you discover additional issues that may affect Synergy developers or Synergy users on Windows 10, please notify our Developer Support team.

For more information about our policies for supporting earlier Synergy/DE versions, see our Version Retirement page in the Synergy/DE Resource Center.